Bug 1756042 - "hammer discovery provision" command with --parameters does not work
Summary: "hammer discovery provision" command with --parameters does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Discovery Plugin
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.5.3
Assignee: Lukas Zapletal
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-26 16:36 UTC by Mike McCune
Modified: 2019-10-29 17:22 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman_discovery-1.0.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1572947
Environment:
Last Closed: 2019-10-29 17:21:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23476 0 None None None 2019-09-26 16:36:31 UTC
Red Hat Knowledge Base (Solution) 3664571 0 None None None 2019-09-26 16:36:31 UTC
Red Hat Product Errata RHBA-2019:3241 0 None None None 2019-10-29 17:22:02 UTC

Comment 4 Jitendra Yejare 2019-10-15 11:25:29 UTC
Verified!

@ Satellite 6.5.3


Steps:
---------
1. Discover the host.
2. Provision discovered host with parameter from CLI.
# hammer -v discovery provision --name="maca673204c1d59" --hostgroup="wshamN" --root-password="abcdfdfsf3" --parameters="jyejare_before_fix=no,jyejare_after_fix=yes"'
Host created


Observation:
--------------
1. The discovered host is provisioned successfully along with parameters.
2. The QE automation test is passed -> tests/foreman/cli/test_discoveredhost.py::DiscoveredTestCase::test_positive_provision_pxe_host_with_parameters.

Comment 5 Jitendra Yejare 2019-10-15 11:27:36 UTC
The bug is verified on :

1. Satellite 6.5.3 1.0 snap
2. tfm-rubygem-hammer_cli_foreman_discovery-1.0.0.1-1.el7sat.noarch

Comment 7 errata-xmlrpc 2019-10-29 17:21:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3241


Note You need to log in before you can comment on or make changes to this bug.